PanSupport (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.event
Class PanSupport

    java.lang.Object
      java.util.concurrent.CopyOnWriteArrayList<E>
          com.bbn.openmap.event.ListenerSupport<PanListener>
              com.bbn.openmap.event.PanSupport

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<PanListener>, java.util.Collection<PanListener>, java.util.List<PanListener>, java.util.RandomAccess

    public class PanSupport

extends ListenerSupport<PanListener>

This is a utility class that can be used by beans that need support for handling PanListeners and firing PanEvents. You can use an instance of this class as a member field of your bean and delegate work to it.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bbn.openmap.event.ListenerSupport
`source`

Constructor Summary
`PanSupport(java.lang.Object sourceBean)` Construct a PanSupport.

Method Summary
`void` | `firePan(float Az)`
`void` | `firePan(float az, float c)` Fire a pan event.
`void` | `firePan(int direction)` Deprecated. use firePan(azimuth)
`void` | `firePan(int direction, float amount)` Deprecated. use firePan(azimuth, arc)

Methods inherited from class com.bbn.openmap.event.ListenerSupport
`add, add, addAll, clear, getSource, iterator, listIterator, remove, remove, set, setSource, size`

Methods inherited from class java.util.concurrent.CopyOnWriteArrayList
`addAll, addAllAbsent, addIfAbsent, clone, contains, containsAll, equals, get, hashCode, indexOf, indexOf, isEmpty, lastIndexOf, lastIndexOf, listIterator, removeAll, retainAll, subList, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PanSupport

    public PanSupport(java.lang.Object sourceBean)

  Construct a PanSupport.

  Parameters:
    `sourceBean` - The bean to be given as the source for any events.

Method Detail

### firePan

    public void firePan(int direction)

  Deprecated. use firePan(azimuth)

  Send a pan event to all registered listeners.

  Parameters:
    `direction` - PanEvent.NORTH ... PanEvent.NORTH_WEST
  See Also:
    `PanEvent`

### firePan

    public void firePan(int direction,
                        float amount)

  Deprecated. use firePan(azimuth, arc)

  Send a pan event to all registered listeners.

  Parameters:
    `direction` - PanEvent.NORTH ... PanEvent.NORTH_WEST
    `amount` - (0.0 <= amount) in decimal degrees.
  See Also:
    `PanEvent`

### firePan

    public void firePan(float Az)

### firePan

    public void firePan(float az,
                        float c)

  Fire a pan event.

  Parameters:
    `az` - azimuth "east of north" in decimal degrees: `-180 <= Az <= 180`
    `c` - arc distance in decimal degrees.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details